<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>RandomPatternParser (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RandomPatternParser (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/ClipboardPatternParser.html" title="class in com.sk89q.worldedit.extension.factory.parser.pattern"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/RandomStatePatternParser.html" title="class in com.sk89q.worldedit.extension.factory.parser.pattern"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?com/sk89q/worldedit/extension/factory/parser/pattern/RandomPatternParser.html" target="_top">Frames</a></li>
<li><a href="RandomPatternParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.internal.registry.InputParser">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.factory.parser.pattern</div>
<h2 title="Class RandomPatternParser" class="title">Class RandomPatternParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">com.sk89q.worldedit.internal.registry.InputParser</a>&lt;<a href="../../../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extension.factory.parser.pattern.RandomPatternParser</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">RandomPatternParser</span>
extends <a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.internal.registry.InputParser">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.internal.registry.<a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a></h3>
<code><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html#worldEdit">worldEdit</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/RandomPatternParser.html#RandomPatternParser-com.sk89q.worldedit.WorldEdit-">RandomPatternParser</a></span>(<a href="../../../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.stream.Stream&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/RandomPatternParser.html#getSuggestions-java.lang.String-">getSuggestions</a></span>(java.lang.String&nbsp;input)</code>
<div class="block">Gets a stream of suggestions of input to this parser.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/RandomPatternParser.html#parseFromInput-java.lang.String-com.sk89q.worldedit.extension.input.ParserContext-">parseFromInput</a></span>(java.lang.String&nbsp;input,
              <a href="../../../../../../../com/sk89q/worldedit/extension/input/ParserContext.html" title="class in com.sk89q.worldedit.extension.input">ParserContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RandomPatternParser-com.sk89q.worldedit.WorldEdit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RandomPatternParser</h4>
<pre>public&nbsp;RandomPatternParser(<a href="../../../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSuggestions-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuggestions</h4>
<pre>public&nbsp;java.util.stream.Stream&lt;java.lang.String&gt;&nbsp;getSuggestions(java.lang.String&nbsp;input)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html#getSuggestions-java.lang.String-">InputParser</a></code></span></div>
<div class="block">Gets a stream of suggestions of input to this parser.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html#getSuggestions-java.lang.String-">getSuggestions</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a stream of suggestions</dd>
</dl>
</li>
</ul>
<a name="parseFromInput-java.lang.String-com.sk89q.worldedit.extension.input.ParserContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>parseFromInput</h4>
<pre>public&nbsp;<a href="../../../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;parseFromInput(java.lang.String&nbsp;input,
                              <a href="../../../../../../../com/sk89q/worldedit/extension/input/ParserContext.html" title="class in com.sk89q.worldedit.extension.input">ParserContext</a>&nbsp;context)
                       throws <a href="../../../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html#parseFromInput-java.lang.String-com.sk89q.worldedit.extension.input.ParserContext-">parseFromInput</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/ClipboardPatternParser.html" title="class in com.sk89q.worldedit.extension.factory.parser.pattern"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../com/sk89q/worldedit/extension/factory/parser/pattern/RandomStatePatternParser.html" title="class in com.sk89q.worldedit.extension.factory.parser.pattern"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?com/sk89q/worldedit/extension/factory/parser/pattern/RandomPatternParser.html" target="_top">Frames</a></li>
<li><a href="RandomPatternParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.internal.registry.InputParser">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
